Skip to main content
GET
/
workspaces
/
{workspace_id}
/
variables
/
search
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "values": {},
    "environment": "<string>",
    "tags": {},
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

environment
string | null
name
string[] | null

Filter by variable name

id
string<uuid>[] | null

Filter by variable ID

Response

Successful Response

id
string<uuid>
required
name
string
required
Pattern: [a-z0-9_]+
description
string | null
required
values
Values · object
required
environment
string
required
tags
Tags · object | null
required
workspace_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required